<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>CustomerInDTO.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">testing</a> &gt; <a href="index.source.html" class="el_package">com.softwaretesting.testing.dto.inbound</a> &gt; <span class="el_source">CustomerInDTO.java</span></div><h1>CustomerInDTO.java</h1><pre class="source lang-java linenums">/**
 * Incoming Student Data Request.
 * 
 *
 */

package com.softwaretesting.testing.dto.inbound;

import com.softwaretesting.testing.model.Customer;

public class CustomerInDTO {
	private String userName;
	private String name;
	private String phoneNumber;

	
<span class="nc" id="L17">	public CustomerInDTO() {</span>
<span class="nc" id="L18">	}</span>
	
	public Customer toEntity() {
<span class="nc" id="L21">		Customer customer = new Customer();</span>

<span class="nc" id="L23">		customer.setUserName(userName);</span>
<span class="nc" id="L24">		customer.setName(name);</span>
<span class="nc" id="L25">		customer.setPhoneNumber(phoneNumber);</span>
		
<span class="nc" id="L27">		return customer;</span>
	}

<span class="nc" id="L30">	public String getUserName() {return userName;}</span>

<span class="nc" id="L32">	public void setUserName(String userName) {this.userName = userName;}</span>

	public String getName() {
<span class="nc" id="L35">		return name;</span>
	}

	public void setName(String name) {
<span class="nc" id="L39">		this.name = name;</span>
<span class="nc" id="L40">	}</span>

	public String getPhoneNumber() {
<span class="nc" id="L43">		return phoneNumber;</span>
	}

	public void setPhoneNumber(String phoneNumber) {
<span class="nc" id="L47">		this.phoneNumber = phoneNumber;</span>
<span class="nc" id="L48">	}</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.10.202304240956</span></div></body></html>